default:
  image: centos:7.9.2009

job:
  before_script:
    - yum install -y rpmdevtools epel-release
    - yum install -y tito hardlink netpbm-progs syslinux-perl make
  stage: build
  script:
    - ls -la /builds
    - rpmdev-setuptree
    - cp sunoslinux-logos.spec ~/rpmbuild/SPECS/
    - cp *.tar.gz ~/rpmbuild/SOURCES/
    - cd ~/rpmbuild/SPECS/
    - rpmbuild -bs sunoslinux-logos.spec
    - rpmbuild -bb sunoslinux-logos.spec
    - cp -r ~/rpmbuild/RPMS/* /builds/morales-research-corporation/SunOS-Linux/packages/binaries/sunoslinux-logos/bin
    - cd /builds/morales-research-corporation/SunOS-Linux/packages/binaries/sunoslinux-logos/bin
    - ls -la
  artifacts:
    public: true
    untracked: true
    paths:
      - bin/*
